{% extends 'base.html' %}

{% block section %}
	<article class="schedule">
		<h1 class="mt-3 mb-5">{% block title %}{{ schedule["name"].title() }} Schedule{% endblock %}</h1>
		{% for category in schedule["recipes"] %}
			<section class="schedule-category">
				<h2 class="mb-5 mt-5">{{ category.title() }}</h2>
				{% for recipe in schedule["recipes"][category] %}
					{% set recipe_id = (category.title() + recipe.title()).replace(" ", "") %}
					<section class="schedule-recipe mt-5 mb-5">
						<h3 class="fs-4 mb-3"><a href="{{ url_for('recipes.recipe', category=category, recipe_name=recipe.replace(" ", "-")) }}" class="link-primary link-offset-2 link-underline-opacity-25 link-underline-opacity-100-hover">{{ recipe.title() }}</a></h3>
						<table class="recipe-schedule table table-light table-striped table-hover mb-4">
							<thead>
								<tr>
									<th scope="col">Ingredient</th>
									<th scope="col">Amount</th>
									<th scope="col">Measure</th>
									<th scope="col">Cost</th>
								</tr>
							</thead>
							<tbody>
								{% for ingredient_category in schedule["recipes"][category][recipe]["ingredients"] %}
									{% for ingredient in schedule["recipes"][category][recipe]["ingredients"][ingredient_category] %}
										<tr>
											<th scope="row">{{ ingredient }}</th>
											<td class="font-monospace">{{ "{:.1f}".format(schedule["recipes"][category][recipe]["ingredients"][ingredient_category][ingredient]["amount"]) }}</td>
											<td>{{ schedule["recipes"][category][recipe]["ingredients"][ingredient_category][ingredient]["unit"] }}</td>
											<td class="font-monospace">{{ "${:.2f}".format(schedule["recipes"][category][recipe]["ingredients"][ingredient_category][ingredient]["cost"]) }}</td>
										</tr>
									{% endfor %}
								{% endfor %}
							</tbody>
						</table>
						<section class="recipe-yield container">
							<div class="mb-3 row justify-content-between">
								{% for specification in schedule["recipes"][category][recipe]["specifications"] %}
									{% for size in schedule["recipes"][category][recipe]["specifications"][specification] %}
										{% set recipe_spec_id = recipe_id + "-" + (specification.title() + size.title()).replace(" ", "") %}
										{% set spec_volume_id = "recipeSpecification-Volume-" + recipe_spec_id %}
										{% set spec_name_id = "recipeSpecification-Name-" + recipe_spec_id %}
										{% set spec_size_id = "recipeSpecification-Size-" + recipe_spec_id %}
										<div class="col-sm-4">
											<div class="input-group w-auto">
												<span class="input-group-text"><strong>{{ size.title() }} {{ specification.title() }}</strong></span>
												<span class="input-group-text font-monospace" id="specificationAmount-{{ recipe_spec_id }}">{{ schedule["recipes"][category][recipe]["specifications"][specification][size]["amount"] }}</span>
												<span class="input-group-text" id="specificationUnit-{{ recipe_spec_id }}">{{ schedule["recipes"][category][recipe]["specifications"][specification][size]["unit"] }}</span>
												<input type="number" class="form-control text-end font-monospace" disabled readonly id="{{ spec_volume_id }}" value="{{ schedule["recipes"][category][recipe][specification][size] if schedule["recipes"][category][recipe][specification][size] else 0 }}">
											</div>
										</div>
									{% endfor %}
								{% endfor %}
							</div>

							<div class="mb-3 row justify-content-between">
								<div class="col-sm-4">
									<div class="input-group">
										<span class="input-group-text"><strong>Supplementary Yield</strong></span>
										<input type="number" class="form-control supplementary-yield text-end font-monospace" disabled readonly id="supplementaryYield-{{ (category.title() + recipe.title()).replace("", "") }}" value="{{ schedule["recipes"][category][recipe]["supplementary_yield"] }}">
										<span class="input-group-text">{{ schedule["recipes"][category][recipe]["cost_unit"] }}</span>
									</div>
								</div>
								<div class="col-sm-4">
									<div class="input-group">
										<span class="input-group-text"><strong>Gross Yield</strong></span>
										<input type="number" class="form-control gross-yield text-end font-monospace" disabled readonly id="grossYield-{{ (category.title() + recipe.title()).replace(" ", "") }}" value="{{ schedule["recipes"][category][recipe]["gross_yield"] }}">
										<span class="input-group-text">{{ schedule["recipes"][category][recipe]["cost_unit"] }}</span>
									</div>
								</div>
								<div class="col-sm-4">
									<div class="input-group">
										<span class="input-group-text"><strong>Gross Cost</strong></span>
										<span class="input-group-text">$</span>
										<input type="number" class="form-control gross-cost font-monospace text-end" disabled readonly id="grossCost-{{ (category.title() + recipe.title()).replace(" ", "") }}" value="{{ "{:.2f}".format(schedule["recipes"][category][recipe]["gross_cost"]) }}">
									</div>
								</div>
							</div>
						</section>
					</section>
					<div style="break-after:page"></div>
				{% endfor %}
			</section>
		{% endfor %}
		<section class="d-print-none">
			<button type="button" class="btn btn-secondary" data-bs-toggle="modal"
			data-bs-target="#edit{{ schedule["name"].title() }}">Edit Schedule</button>
			<div class="modal fade" id="edit{{ schedule["name"].title() }}" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h1 class="modal-title fs-5" id="edit{{ schedule["name"].title() }}">Edit Recipe</h1>
							<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div class="modal-body">Edit recipe for <strong>{{ schedule["name"].title() }}</strong>?</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
							<a href="{{ url_for('schedules.edit', schedule_name=schedule["name"]) }}" class="btn btn-primary">Edit</a>
						</div>
					</div>
				</div>
			</div>
			<button type="button" class="btn btn-danger" data-bs-toggle="modal"
			data-bs-target="#deleteSchedule{{ schedule["name"].title() }}">Delete Schedule</button>
			<div class="modal fade" id="deleteSchedule{{ schedule["name"].title() }}" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h1 class="modal-title fs-5" id="deleteSchedule{{ schedule["name"].title() }}">Delete schedule</h1>
							<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div class="modal-body">Delete <strong>{{ schedule["name"] }}</strong> from schedule list?</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
							<form action="{{ url_for('schedules.delete') }}" method="post">
								<input type="hidden" id="deleteSchedule{{ schedule["name"].title() }}"
													 name="deleteSchedule"
													 value="{{ schedule["name"] }}"/>
								<button type="submit" class="btn btn-danger">Delete</button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</section>
	</article>
{% endblock %}
